Upgrade to Rails 2.3.4 broke mongrel
2009-09-18 19:25 - Robert Chady

Status: Closed Start date: 2009-09-18
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

The upgrade to Rails 2.3.4 broke mongrel, resulting in the error:

/usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.4/1ib/active_support/dependencies.rb:440:in "~ load_
missing_constant': uninitialized constant ActionController::AbstractRequest (NameError)

An easy fix is to patch config/initializers/10-patches.rb to add support for this. A quick patch is attached to get people up and
running. Please redo as appropriate for other versions, if any changes are needed. This snippet provided by
https:/rails.lighthouseapp.com/projects/8994/tickets/2319-rails-23-mongrel-deploy-with-prefix-causes-abstractrequest-error and
adapted for Redmine.

History

#1 - 2009-11-11 17:28 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Wont fix

This is a Mongrel issue.

#2 - 2009-11-15 19:29 - Cailin Nelson

- Status changed from Closed to Reopened

Would it be possible to provide more specific instructions as to how to work around this? Applying the specified path above did not help me. Is there
something | have to run after modifying my 10-patches.rb file?

#3 - 2009-11-15 21:54 - Jean-Philippe Lang
- Status changed from Reopened to Closed

- Resolution changed from Wont fix to Invalid

Sorry | do not provide support for Mongrel.
FWIW, | use Mongrel 1.1.5 for dev and it's running fine.

#4 - 2009-11-15 23:31 - Cailin Nelson

| figured out what my problem was - it had nothing to do with mongrel. 1 hit this error while upgrading from Redmine 0.8 to the current trunk. In case
this happens to anybody else, I'll explain what | did wrong...

When | upgraded to Redmine trunk | applied the new version on top of my current distribution. This left some unneeded old garbage in the

vendors/plugins directory. Specifically, the action_webservice module causes the error mentioned in this thread. If this happens to you, make sure
you have replaced your current distribution with the new code instead of copying the new code on top of your old code.

#5 - 2010-01-07 18:25 - Richard Bossen

I'have got this error too. But | replaced the whole redmine folder with the new one (only backing up database.yml).
But the error still occours. | use 0.9-stable branch.

#6 - 2010-01-07 18:31 - Richard Bossen

- File mongrel_cluster_with_rails_23_fix.rb added

- Status changed from Closed to Reopened
https://rails.lighthouseapp.com/projects/8994/tickets/2319-rails-23-mongrel-deploy-with-prefix-causes-abstractrequest-error

The attached file in config/initializers folder fixes the problem...
#7 - 2010-01-07 20:16 - Richard Bossen

Sorry!

The patch is the same!

Please close this ticket!

#8 - 2010-01-07 22:25 - Jean-Philippe Lang

What's your mongrel version?
| don't have this problem with 1.1.5.

#9 - 2010-01-07 22:25 - Jean-Philippe Lang

- Status changed from Reopened to Closed

#10 - 2010-01-08 18:01 - Richard Bdssen

I'm using 1.1.5 to, from the bitnami stack and | still get the error.

Files

mongrel-rails_2.3.4_support.patch 499 Bytes 2009-09-18 Robert Chady

mongrel_cluster_with_rails_23_fix.rb 282 Bytes 2010-01-07 Richard Béssen
